Public Class frmTax

  Private Sub btnCalculate_Click(ByVal sender As System.Object,
                                 ByVal e As System.EventArgs) Handles btnCalculate.Click
    Dim taxRate As Double = CDbl(txtRate.Text) / 100
    Dim price As Double = CDbl(txtPrice.Text)
    Dim totalCost As Double = price + taxRate * price
    txtTotalCost.Text = FormatCurrency(totalCost)
  End Sub

End Class
